summaryrefslogtreecommitdiffstats
path: root/support/scripts
diff options
context:
space:
mode:
authorArnout Vandecappelle <arnout@mind.be>2016-01-09 02:57:40 +0100
committerPeter Korsgaard <peter@korsgaard.com>2016-01-13 22:09:08 +0100
commitc1a674f99422b2cc3b5fbe30b7abb255be71b6c0 (patch)
tree604e97f819eddec7c2b1f905638343e4f52843d4 /support/scripts
parenta8b11b478be5a6535560b47b1eb0ba4a2786e110 (diff)
downloadbuildroot-c1a674f99422b2cc3b5fbe30b7abb255be71b6c0.tar.gz
buildroot-c1a674f99422b2cc3b5fbe30b7abb255be71b6c0.zip
support/scripts/apply-patches.sh: fix whitespace
The apply-patches.sh script was using a mix of tabs and spaces, and some three-space indentation. Normalize everything to four-space indentation. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'support/scripts')
-rwxr-xr-xsupport/scripts/apply-patches.sh50
1 files changed, 25 insertions, 25 deletions
diff --git a/support/scripts/apply-patches.sh b/support/scripts/apply-patches.sh
index aa13e88295..201278dde7 100755
--- a/support/scripts/apply-patches.sh
+++ b/support/scripts/apply-patches.sh
@@ -69,41 +69,41 @@ function apply_patch {
type="series"; uncomp="cat"
else
case "$patch" in
- *.gz)
- type="gzip"; uncomp="gunzip -dc"; ;;
- *.bz)
- type="bzip"; uncomp="bunzip -dc"; ;;
- *.bz2)
- type="bzip2"; uncomp="bunzip2 -dc"; ;;
- *.xz)
- type="xz"; uncomp="unxz -dc"; ;;
- *.zip)
- type="zip"; uncomp="unzip -d"; ;;
- *.Z)
- type="compress"; uncomp="uncompress -c"; ;;
- *.diff*)
- type="diff"; uncomp="cat"; ;;
- *.patch*)
- type="patch"; uncomp="cat"; ;;
- *)
- echo "Unsupported file type for ${path}/${patch}, skipping";
- return 0
- ;;
+ *.gz)
+ type="gzip"; uncomp="gunzip -dc"; ;;
+ *.bz)
+ type="bzip"; uncomp="bunzip -dc"; ;;
+ *.bz2)
+ type="bzip2"; uncomp="bunzip2 -dc"; ;;
+ *.xz)
+ type="xz"; uncomp="unxz -dc"; ;;
+ *.zip)
+ type="zip"; uncomp="unzip -d"; ;;
+ *.Z)
+ type="compress"; uncomp="uncompress -c"; ;;
+ *.diff*)
+ type="diff"; uncomp="cat"; ;;
+ *.patch*)
+ type="patch"; uncomp="cat"; ;;
+ *)
+ echo "Unsupported file type for ${path}/${patch}, skipping";
+ return 0
+ ;;
esac
fi
if [ -z "$silent" ] ; then
- echo ""
- echo "Applying $patch using ${type}: "
+ echo ""
+ echo "Applying $patch using ${type}: "
fi
if [ ! -e "${path}/$patch" ] ; then
- echo "Error: missing patch file ${path}/$patch"
- exit 1
+ echo "Error: missing patch file ${path}/$patch"
+ exit 1
fi
echo $patch >> ${builddir}/.applied_patches_list
${uncomp} "${path}/$patch" | patch -g0 -p1 -E -d "${builddir}" -t -N $silent
if [ $? != 0 ] ; then
echo "Patch failed! Please fix ${patch}!"
- exit 1
+ exit 1
fi
}
OpenPOWER on IntegriCloud